OPAM-REPOSITORY(1)

NAME

opam-repository - Manage OPAM repositories.

SYNOPSIS

opam repository [OPTION]... [COMMAND] [ARG]...

DESCRIPTION

This command is used to manage OPAM repositories. To synchronize OPAM with the last versions of the packages available in remote repositories, opam update should be used.

ARGUMENTS

COMMAND
    Name of the sub-command. See the COMMANDS section for more info.

OPTIONS

-k KIND, --kind=KIND
    Specify the kind of the repository to be set (the main ones are 'http', 'local', 'git' or 'darcs').

-p INT, --priority=INT
    Set the repository priority (bigger is better)

-s, --short
    Output the names separated by one whitespace instead of using the usual formatting.

COMMANDS

add Add the repository name available at address address to the list of repositories used by OPAM, with priority priority. The repository priority can be optionally specified with --priority, otherwise the new repository has a higher priority then any other existing repositories. The kind of the repository can be specified with the --kind option, otherwise it will be determined automatically.

remove
    Remove the repository named name from the list of repositories used by OPAM.

list
    List all repositories used by OPAM.

priority
    Change the priority of repository named name to priority.

COMMON OPTIONS

These options are common to all commands.

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a value greater or equal to 2.

--git-version
    Print the git version if it exists and exit.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=/Users/tgazagna/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting either $OPAMDEBUG to a value greater or equal to 1 or $OPAMVERBOSE to a non-empty string.

--version
    Show version information.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

FURTHER DOCUMENTATION

See http://opam.ocamlpro.com.

AUTHORS

Thomas Gazagnaire <thomas.gazagnaire@ocamlpro.com>

Frederic Tuong <tuong@users.gforge.inria.fr>

Vincent Bernardoff <vb@luminar.eu.org>

Guillem Rieu <guillem.rieu@ocamlpro.com>

BUGS

Check bug reports at https://github.com/OCamlPro/opam/issues.